libraw1394: version 2.0.4
Prev |  | Next

# raw1394_arm_register

## Name

raw1394_arm_register -- register an AddressRangeMapping

## Synopsis

``int raw1394_arm_register` (raw1394handle_t handle, nodeaddr_t start, size_t length, byte_t * initial_value, octlet_t arm_tag, arm_options_t access_rights, arm_options_t notification_options, arm_options_t client_transactions);`

## Arguments

`handle`

  libraw1394 handle

`start`

  identifies addressrange

`length`

  identifies addressrange

`initial_value`

  pointer to buffer containing (if necessary) initial value NULL means undefined

`arm_tag`

  identifier for arm_tag_handler (usually pointer to raw1394_arm_reqhandle)

`access_rights`

  access-rights for registered addressrange handled by kernel-part. Value is one or more binary or of the following flags - ARM_READ, ARM_WRITE, ARM_LOCK

`notification_options`

  identifies for which type of request you want to be notified. Value is one or more binary or of the following flags - ARM_READ, ARM_WRITE, ARM_LOCK

`client_transactions`

  identifies for which type of request you want to handle the request by the client application. for those requests no response will be generated, but has to be generated by the application. Value is one or more binary or of the following flags - ARM_READ, ARM_WRITE, ARM_LOCK For each bit set here, notification_options and access_rights will be ignored.

## Description

ARM = Adress Range Mapping

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
int | Up | raw1394_arm_unregister